---
product: DataGrip
type: "SQL database managers"
layout: replace
---

# DataGrip

## DBeaver

Free multi-platform database tool for developers, database administrators, analysts and all people who need to work with databases. Supports all popular databases: MySQL, PostgreSQL, SQLite, Oracle, DB2, SQL Server, Sybase, MS Access, Teradata, Firebird, Apache Hive, Phoenix, Presto, etc.

{% infobox %}
  - **Website**: [dbeaver.io](https://dbeaver.io)
  - **Source code**: [GitHub](https://github.com/dbeaver/dbeaver)
  - **License**: [Apache License 2.0](https://github.com/dbeaver/dbeaver/blob/devel/LICENSE.md)
{% endinfobox %}

## MySQL Workbench

MySQL Workbench is a unified visual tool for database architects, developers, and DBAs. MySQL Workbench provides data modeling, SQL development, and comprehensive administration tools for server configuration, user administration, backup, and much more. MySQL Workbench is available on Windows, Linux and Mac OS X.

{% infobox %}
  - **Website**: [MYSQL](https://www.mysql.com/products/workbench/)
  - **Source code**: [GitHub](https://github.com/mysql/mysql-workbench)
  - **License**: [GNU General Public License v2.0 + Oracle](https://github.com/mysql/mysql-workbench/blob/8.0/License.txt)
{% endinfobox %}

## HeidiSQL

Heidi lets you see and edit data and structures from computers running one of the database systems MariaDB, MySQL, Microsoft SQL, PostgreSQL and SQLite. 

{% infobox %}
  - **Website**: [heidisql.com](https://www.heidisql.com/)
  - **Source code**: [GitHub](https://github.com/HeidiSQL/HeidiSQL)
  - **License**: [GNU General Public License v2.0](https://github.com/HeidiSQL/HeidiSQL/blob/master/LICENSE)
{% endinfobox %}

## phpMyAdmin

phpMyAdmin is a free software tool written in PHP, intended to handle the administration of MySQL over the Web. phpMyAdmin supports a wide range of operations on MySQL and MariaDB.

{% infobox %}
  - **Website**: [phpmyadmin.net](https://www.phpmyadmin.net/)
  - **Source code**: [GitHub](https://github.com/phpmyadmin/phpmyadmin)
  - **License**: [GNU General Public License v2.0](https://github.com/phpmyadmin/phpmyadmin/blob/master/LICENSE)
{% endinfobox %}

## Adminer

Adminer (formerly phpMinAdmin) is a full-featured database management tool written in PHP. Conversely to phpMyAdmin, it consist of a single file ready to deploy to the target server. Adminer is available for MySQL, MariaDB, PostgreSQL, SQLite, MS SQL, Oracle, Firebird, SimpleDB, Elasticsearch and MongoDB.

{% infobox %}
  - **Website**: [adminer.org](https://adminer.org)
  - **Source code**: [GitHub](https://github.com/vrana/adminer/)
  - **License**: Free for commercial and non-commercial use ([Apache License](https://www.apache.org/licenses/LICENSE-2.0.html) or [GNU General Public License v2.0](https://www.gnu.org/licenses/gpl-2.0.txt))
{% endinfobox %}

## pgAdmin

pgAdmin is the most popular and feature rich Open Source administration and development platform for PostgreSQL, the most advanced Open Source database in the world. 

{% infobox %}
  - **Website**: [pgadmin.org](https://www.pgadmin.org/)
  - **Source code**: [pgadmin.org](https://www.pgadmin.org/download/pgadmin-4-source-code/)
  - **License**: [PostgreSQL License](https://www.pgadmin.org/licence/)
{% endinfobox %}
