---
product: Visual Studio Code
type: Code editors
layout: replace
---

# Replace Visual Studio Code

While Visual Studio Code's source code is FOSS, the official builds are [proprietary software.](https://github.com/Microsoft/vscode/issues/60#issuecomment-161792005) There are FOSS alternatives that create FOSS builds of Visual Studio Code.

This is evidenced by [a comment made by a Microsoft developer](https://web.archive.org/web/20200621195204/https://github.com/Microsoft/vscode/issues/60#issuecomment-161792005):

> When we [Microsoft] build Visual Studio Code, we do exactly this. We clone the vscode repository, we lay down a customized product.json that has Microsoft specific functionality (telemetry, gallery, logo, etc.), and then produce a build that we release under our license.
>
> When you clone and build from the vscode repo, none of these endpoints are configured in the default product.json. Therefore, you generate a “clean” build, without the Microsoft customizations, which is by default licensed under the MIT license.

---

## VSCodium

Binary releases of VS Code without MS branding / telemetry / licensing.

{% infobox %}
  - **Website**: vscodium.com
  - **Source code**: [GitHub](https://github.com/VSCodium/vscodium)
  - **License**: [MIT](https://github.com/VSCodium/vscodium/blob/master/LICENSE)
{% endinfobox %}

## Brackets

A modern and Open-Source text editor for web design.

{% infobox %}
  - **Website**: [brackets.io](http://brackets.io/)
  - **Source code**: [Github](https://github.com/adobe/brackets)
  - **License**: [MIT](https://github.com/adobe/brackets/blob/master/LICENSE)
{% endinfobox %}

## Compiling VSCode yourself

Microsoft have a guide for compiling your own copy of Visual Studio code.

{% infobox %}
  - **Guide**: [GitHub](https://github.com/Microsoft/vscode/wiki/How-to-Contribute#build-and-run)
{% endinfobox %}
